# Visualization
TKV3d
Graphic3d

# Graphic3d_ArrayOfTriangleFans Class Reference

`#include <Graphic3d_ArrayOfTriangleFans.hxx>`

Inheritance diagram for Graphic3d_ArrayOfTriangleFans:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic3d_ArrayOfTriangleFans (const Standard_Integer maxVertexs, const Standard_Integer maxFans=0, const Standard_Boolean hasVNormals=Standard_False, const Standard_Boolean hasVColors=Standard_False, const Standard_Boolean hasFColors=Standard_False, const Standard_Boolean hasTexels=Standard_False)

Creates an array of triangle fans,
a polygon can be filled as:
1) creating a single fan defined with his vertexs.
i.e:
myArray = Graphic3d_ArrayOfTriangleFans(7)
myArray->AddVertex(x1,y1,z1)
....
myArray->AddVertex(x7,y7,z7)
2) creating separate fans defined with a predefined
number of fans and the number of vertex per fan.
i.e:
myArray = Graphic3d_ArrayOfTriangleFans(8,2)
myArray->AddBound(4)
myArray->AddVertex(x1,y1,z1)
....
myArray->AddVertex(x4,y4,z4)
myArray->AddBound(4)
myArray->AddVertex(x5,y5,z5)
....
myArray->AddVertex(x8,y8,z8)
.

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_ArrayOfTriangleFans::Graphic3d_ArrayOfTriangleFans | ( | const Standard_Integer | maxVertexs,
|  | const Standard_Integer | maxFans = `0`,
|  | const Standard_Boolean | hasVNormals = `Standard_False`,
|  | const Standard_Boolean | hasVColors = `Standard_False`,
|  | const Standard_Boolean | hasFColors = `Standard_False`,
|  | const Standard_Boolean | hasTexels = `Standard_False`
| ) |

## Member Function Documentation

Standard_EXPORT const Graphic3d_ArrayOfTriangleFans::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic3d_ArrayOfPrimitives.

The documentation for this class was generated from the following file:

- Graphic3d_ArrayOfTriangleFans.hxx